com.tibbo.aggregate.common.util

## Class TimeHelper

- java.lang.Object
- - com.tibbo.aggregate.common.util.TimeHelper

-     public class TimeHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DAY`
    `static long` | `DAY_IN_MS`
    `static long` | `DAY_IN_SECONDS`
    `static TimeUnit` | `DAY_UNIT`
    `static int` | `HOUR`
    `static long` | `HOUR_IN_MS`
    `static long` | `HOUR_IN_SECONDS`
    `static TimeUnit` | `HOUR_UNIT`
    `static int` | `MILLISECOND`
    `static TimeUnit` | `MILLISECOND_UNIT`
    `static int` | `MINUTE`
    `static long` | `MINUTE_IN_MS`
    `static long` | `MINUTE_IN_SECONDS`
    `static TimeUnit` | `MINUTE_UNIT`
    `static int` | `MONTH`
    `static long` | `MONTH_IN_MS`
    `static long` | `MONTH_IN_SECONDS`
    `static TimeUnit` | `MONTH_UNIT`
    `static java.lang.String` | `NAME_D`
    `static java.lang.String` | `NAME_DAY`
    `static java.lang.String` | `NAME_H`
    `static java.lang.String` | `NAME_HOUR`
    `static java.lang.String` | `NAME_HR`
    `static java.lang.String` | `NAME_M`
    `static java.lang.String` | `NAME_MILLISECOND`
    `static java.lang.String` | `NAME_MIN`
    `static java.lang.String` | `NAME_MINUTE`
    `static java.lang.String` | `NAME_MONTH`
    `static java.lang.String` | `NAME_MS`
    `static java.lang.String` | `NAME_S`
    `static java.lang.String` | `NAME_SEC`
    `static java.lang.String` | `NAME_SECOND`
    `static java.lang.String` | `NAME_W`
    `static java.lang.String` | `NAME_WEEK`
    `static java.lang.String` | `NAME_Y`
    `static java.lang.String` | `NAME_YEAR`
    `static int` | `QUARTER`
    `static long` | `QUARTER_IN_MS`
    `static long` | `QUARTER_IN_SECONDS`
    `static TimeUnit` | `QUARTER_UNIT`
    `static int` | `SECOND`
    `static long` | `SECOND_IN_MS`
    `static TimeUnit` | `SECOND_UNIT`
    `static int` | `WEEK`
    `static long` | `WEEK_IN_MS`
    `static long` | `WEEK_IN_SECONDS`
    `static TimeUnit` | `WEEK_UNIT`
    `static int` | `YEAR`
    `static long` | `YEAR_IN_MS`
    `static long` | `YEAR_IN_SECONDS`
    `static TimeUnit` | `YEAR_UNIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `convertToMillis(long period, int unit)`
    `static java.lang.String` | `getForSeconds(java.lang.Long milliseconds)`
    `static java.lang.String` | `getForSeconds(java.lang.Long milliseconds, java.util.ResourceBundle bundle)`
    `static java.util.List<TimeUnit>` | `getReversedUnits()`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getSelectionValues()`
    `static TimeUnit` | `getTimeUnit(int unit)`
    `static TimeUnit` | `getTimeUnit(java.lang.String name)`
    `static java.lang.String` | `getUnitDescription(int unit)`
    `static java.lang.String` | `getUnitDescriptionPlural(int unit)`
    `static java.util.List<TimeUnit>` | `getUnits()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECOND_IN_MS

          public static final long SECOND_IN_MS

      See Also:
        Constant Field Values

    - #### MINUTE_IN_MS

          public static final long MINUTE_IN_MS

      See Also:
        Constant Field Values

    - #### HOUR_IN_MS

          public static final long HOUR_IN_MS

      See Also:
        Constant Field Values

    - #### DAY_IN_MS

          public static final long DAY_IN_MS

      See Also:
        Constant Field Values

    - #### WEEK_IN_MS

          public static final long WEEK_IN_MS

      See Also:
        Constant Field Values

    - #### MONTH_IN_MS

          public static final long MONTH_IN_MS

      See Also:
        Constant Field Values

    - #### QUARTER_IN_MS

          public static final long QUARTER_IN_MS

      See Also:
        Constant Field Values

    - #### YEAR_IN_MS

          public static final long YEAR_IN_MS

      See Also:
        Constant Field Values

    - #### MINUTE_IN_SECONDS

          public static final long MINUTE_IN_SECONDS

      See Also:
        Constant Field Values

    - #### HOUR_IN_SECONDS

          public static final long HOUR_IN_SECONDS

      See Also:
        Constant Field Values

    - #### DAY_IN_SECONDS

          public static final long DAY_IN_SECONDS

      See Also:
        Constant Field Values

    - #### WEEK_IN_SECONDS

          public static final long WEEK_IN_SECONDS

      See Also:
        Constant Field Values

    - #### MONTH_IN_SECONDS

          public static final long MONTH_IN_SECONDS

      See Also:
        Constant Field Values

    - #### QUARTER_IN_SECONDS

          public static final long QUARTER_IN_SECONDS

      See Also:
        Constant Field Values

    - #### YEAR_IN_SECONDS

          public static final long YEAR_IN_SECONDS

      See Also:
        Constant Field Values

    - #### MILLISECOND

          public static final int MILLISECOND

      See Also:
        Constant Field Values

    - #### SECOND

          public static final int SECOND

      See Also:
        Constant Field Values

    - #### MINUTE

          public static final int MINUTE

      See Also:
        Constant Field Values

    - #### HOUR

          public static final int HOUR

      See Also:
        Constant Field Values

    - #### DAY

          public static final int DAY

      See Also:
        Constant Field Values

    - #### WEEK

          public static final int WEEK

      See Also:
        Constant Field Values

    - #### MONTH

          public static final int MONTH

      See Also:
        Constant Field Values

    - #### QUARTER

          public static final int QUARTER

      See Also:
        Constant Field Values

    - #### YEAR

          public static final int YEAR

      See Also:
        Constant Field Values

    - #### NAME_MILLISECOND

          public static final java.lang.String NAME_MILLISECOND

      See Also:
        Constant Field Values

    - #### NAME_MS

          public static final java.lang.String NAME_MS

      See Also:
        Constant Field Values

    - #### NAME_SECOND

          public static final java.lang.String NAME_SECOND

      See Also:
        Constant Field Values

    - #### NAME_SEC

          public static final java.lang.String NAME_SEC

      See Also:
        Constant Field Values

    - #### NAME_S

          public static final java.lang.String NAME_S

      See Also:
        Constant Field Values

    - #### NAME_MINUTE

          public static final java.lang.String NAME_MINUTE

      See Also:
        Constant Field Values

    - #### NAME_MIN

          public static final java.lang.String NAME_MIN

      See Also:
        Constant Field Values

    - #### NAME_M

          public static final java.lang.String NAME_M

      See Also:
        Constant Field Values

    - #### NAME_HOUR

          public static final java.lang.String NAME_HOUR

      See Also:
        Constant Field Values

    - #### NAME_HR

          public static final java.lang.String NAME_HR

      See Also:
        Constant Field Values

    - #### NAME_H

          public static final java.lang.String NAME_H

      See Also:
        Constant Field Values

    - #### NAME_DAY

          public static final java.lang.String NAME_DAY

      See Also:
        Constant Field Values

    - #### NAME_D

          public static final java.lang.String NAME_D

      See Also:
        Constant Field Values

    - #### NAME_WEEK

          public static final java.lang.String NAME_WEEK

      See Also:
        Constant Field Values

    - #### NAME_W

          public static final java.lang.String NAME_W

      See Also:
        Constant Field Values

    - #### NAME_MONTH

          public static final java.lang.String NAME_MONTH

      See Also:
        Constant Field Values

    - #### NAME_YEAR

          public static final java.lang.String NAME_YEAR

      See Also:
        Constant Field Values

    - #### NAME_Y

          public static final java.lang.String NAME_Y

      See Also:
        Constant Field Values

    - #### MILLISECOND_UNIT

          public static final TimeUnit MILLISECOND_UNIT

    - #### SECOND_UNIT

          public static final TimeUnit SECOND_UNIT

    - #### MINUTE_UNIT

          public static final TimeUnit MINUTE_UNIT

    - #### HOUR_UNIT

          public static final TimeUnit HOUR_UNIT

    - #### DAY_UNIT

          public static final TimeUnit DAY_UNIT

    - #### WEEK_UNIT

          public static final TimeUnit WEEK_UNIT

    - #### MONTH_UNIT

          public static final TimeUnit MONTH_UNIT

    - #### QUARTER_UNIT

          public static final TimeUnit QUARTER_UNIT

    - #### YEAR_UNIT

          public static final TimeUnit YEAR_UNIT

  - ### Constructor Detail

    - #### TimeHelper

          public TimeHelper()

  - ### Method Detail

    - #### getSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getSelectionValues()

    - #### getUnits

          public static java.util.List<TimeUnit> getUnits()

    - #### getReversedUnits

          public static java.util.List<TimeUnit> getReversedUnits()

    - #### getUnitDescription

          public static java.lang.String getUnitDescription(int unit)

    - #### getUnitDescriptionPlural

          public static java.lang.String getUnitDescriptionPlural(int unit)

    - #### getTimeUnit

          public static TimeUnit getTimeUnit(int unit)

    - #### getTimeUnit

          public static TimeUnit getTimeUnit(java.lang.String name)

    - #### convertToMillis

          public static long convertToMillis(long period,
                                             int unit)

    - #### getForSeconds

          public static java.lang.String getForSeconds(java.lang.Long milliseconds)

    - #### getForSeconds

          public static java.lang.String getForSeconds(java.lang.Long milliseconds,
                                                       java.util.ResourceBundle bundle)